Package com.collabnet.ce.soap60.webservices.tag

# Class TagAppSoapStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.tag.TagAppSoapStub

All Implemented Interfaces:
  `ITagAppSoap`

public class TagAppSoapStub extends ClientSoapStub implements ITagAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagAppSoapStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TagSoapDO`
  `createTag(String sessionId, String projectId, String name, String description)`
  Creates a tag in the specified project
  `void`
  `deleteTag(String sessionId, String tagId)`
  Deletes a tag
  `TagSoapList`
  `getObjectTags(String sessionId, String objectId)`
  Gets object tags
  `TagSoapDO`
  `getTag(String sessionId, String tagId)`
  Gets tag data for the specified tag id
  `TagSoapDO`
  `getTagByName(String sessionId, String projectId, String tagName)`
  Gets tag data by name in the specified project
  `TagSoapList`
  `listTags(String sessionId, String projectId)`
  Gets the list of tags defined for the given project
  `TagSoapList`
  `setObjectTags(String sessionId, String objectId, String[] tagIds)`
  Sets object tags
  `TagSoapDO`
  `updateTag(String sessionId, String tagId, String name, String description)`
  Updates a tag's name and description

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TagAppSoapStub

    public TagAppSoapStub(String soapServerUrl)

- ## Method Details

  - ### listTags

    public TagSoapList listTags(String sessionId, String projectId) throws RemoteException
    Description copied from interface: `ITagAppSoap`
    Gets the list of tags defined for the given project
    Specified by:
      `listTags` in interface `ITagAppSoap`
    Parameters:
      `sessionId` - User session id
      `projectId` - Project identifier.
    Returns:
      List of tags.
    Throws:
      `RemoteException`

  - ### getTag

    public TagSoapDO getTag(String sessionId, String tagId) throws RemoteException
    Description copied from interface: `ITagAppSoap`
    Gets tag data for the specified tag id
    Specified by:
      `getTag` in interface `ITagAppSoap`
    Parameters:
      `sessionId` - User session id
      `tagId` - Tag id
    Returns:
      Tag data
    Throws:
      `RemoteException`

  - ### getTagByName

    public TagSoapDO getTagByName(String sessionId, String projectId, String tagName) throws RemoteException
    Description copied from interface: `ITagAppSoap`
    Gets tag data by name in the specified project
    Specified by:
      `getTagByName` in interface `ITagAppSoap`
    Parameters:
      `sessionId` - User session id
      `projectId` - Project identifier
      `tagName` - Tag name
    Returns:
      Tag data
    Throws:
      `RemoteException`

  - ### createTag

    public TagSoapDO createTag(String sessionId, String projectId, String name, String description) throws RemoteException
    Description copied from interface: `ITagAppSoap`
    Creates a tag in the specified project
    Specified by:
      `createTag` in interface `ITagAppSoap`
    Parameters:
      `sessionId` - User session id
      `projectId` - Project identifier
      `name` - tag's name
      `description` - tag's description
    Returns:
      New tag's data
    Throws:
      `RemoteException`

  - ### updateTag

    public TagSoapDO updateTag(String sessionId, String tagId, String name, String description) throws RemoteException
    Description copied from interface: `ITagAppSoap`
    Updates a tag's name and description
    Specified by:
      `updateTag` in interface `ITagAppSoap`
    Parameters:
      `sessionId` - User session id
      `tagId` - Tag id
      `name` - Tag's new name
      `description` - Tag's new description
    Returns:
      Updated tag data
    Throws:
      `RemoteException`

  - ### deleteTag

    public void deleteTag(String sessionId, String tagId) throws RemoteException
    Description copied from interface: `ITagAppSoap`
    Deletes a tag
    Specified by:
      `deleteTag` in interface `ITagAppSoap`
    Parameters:
      `sessionId` - User session id
      `tagId` - Tag id
    Throws:
      `RemoteException`

  - ### getObjectTags

    public TagSoapList getObjectTags(String sessionId, String objectId) throws RemoteException
    Description copied from interface: `ITagAppSoap`
    Gets object tags
    Specified by:
      `getObjectTags` in interface `ITagAppSoap`
    Parameters:
      `sessionId` - User session id
      `objectId` - Object id (artifact or document)
    Returns:
      List of tags for the object
    Throws:
      `RemoteException`

  - ### setObjectTags

    public TagSoapList setObjectTags(String sessionId, String objectId, String[] tagIds) throws RemoteException
    Description copied from interface: `ITagAppSoap`
    Sets object tags
    Specified by:
      `setObjectTags` in interface `ITagAppSoap`
    Parameters:
      `sessionId` - User session id
      `objectId` - Object id (artifact or document)
      `tagIds` - Array of tag ids (null or empty will remove the existing tags)
    Returns:
      Updated list of tags for the object
    Throws:
      `RemoteException`